Interface InternetAccessCages

All Known Implementing Classes:
InternetAccessCagesImpl

public interface InternetAccessCages
Client interface for the Equinix Internet Access (EIA) v1 product-availability lookup (GET /internetAccess/v1/cages) - the cages a customer has in a given IBX.
  • Method Summary

    Modifier and Type
    Method
    Description
    list(String ibx, String accountNumber)
    Returns the cages the given account has in the given IBX.
  • Method Details

    • list

      PaginatedList<Cage> list(String ibx, String accountNumber)
      Returns the cages the given account has in the given IBX.
      Parameters:
      ibx - the IBX data center code (e.g. WA1)
      accountNumber - the customer billing account number
      Returns:
      a paginated list of matching cages